Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class LocalVariable

    java.lang.Object
      org.exist.xquery.Variable
          org.exist.xquery.LocalVariable

public class LocalVariable
extends Variable

Represents a local variable as declared by for and let. Local variables are stored as a linked list.

Author:
  wolf

Constructor Summary
`LocalVariable(QName qname)`

Method Summary
`void` | `addAfter(LocalVariable var)`

Methods inherited from class org.exist.xquery.Variable
`checkType, getCardinality, getContextDocs, getDependencies, getQName, getSequenceType, getType, getValue, isInitialized, setContextDocs, setIsInitialized, setSequenceType, setStackPosition, setValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariable

    public LocalVariable(QName qname)

Method Detail

### addAfter

    public void addAfter(LocalVariable var)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.